- removed patches 2 and 3, seems to be obsolete
[packages/xorg-driver-video-nvidia.git] / xorg-driver-video-nvidia.spec
CommitLineData
28142503
PS
1#
2# Conditional build:
3%bcond_without dist_kernel # without distribution kernel
4%bcond_without smp # without smp packages
bf683e7a 5%bcond_without kernel # without kernel packages
28142503
PS
6%bcond_with verbose # verbose build (V=1)
7%bcond_with tls # install libraries with tls support
8#
9%define _nv_ver 1.0
8f4af7b3 10%define _nv_rel 6629
85d12cdd 11%define _min_x11 6.7.0
e055b40d 12%define _rel 0.1
28142503
PS
13#
14Summary: Linux Drivers for nVidia TNT/TNT2/GeForce/Quadro Chips
15Summary(pl): Sterowniki do kart graficznych nVidia TNT/TNT2/GeForce/Quadro
2d490dca 16Name: X11-driver-nvidia
28142503 17Version: %{_nv_ver}.%{_nv_rel}
28142503
PS
18Release: %{_rel}
19License: nVidia Binary
20Vendor: nVidia Corp.
21Group: X11/XFree86
2317af94 22# why not pkg0!?
039c7221 23Source0: http://download.nvidia.com/XFree86/Linux-x86/%{_nv_ver}-%{_nv_rel}/NVIDIA-Linux-x86-%{_nv_ver}-%{_nv_rel}-pkg1.run
8f4af7b3 24# Source0-md5: f7737c1e95371f37a4fd30da2f11e72c
4b9cc746 25# Source0-size: 8167999
039c7221 26Source1: http://download.nvidia.com/XFree86/Linux-x86_64/%{_nv_ver}-%{_nv_rel}/NVIDIA-Linux-x86_64-%{_nv_ver}-%{_nv_rel}-pkg2.run
8f4af7b3 27# Source1-md5: 652e69f549c81a7a3f2806daa74b9c36
4b9cc746 28# Source1-size: 7333486
2d490dca 29Patch0: %{name}-gcc34.patch
0029e8cc 30Patch1: %{name}-GL.patch
28142503
PS
31URL: http://www.nvidia.com/object/linux.html
32BuildConflicts: XFree86-nvidia
33BuildRequires: grep
34%{?with_dist_kernel:BuildRequires: kernel-module-build >= 2.6.7}
35BuildRequires: %{kgcc_package}
36BuildRequires: rpmbuild(macros) >= 1.153
039c7221 37BuildRequires: sed >= 4.0
28142503 38BuildRequires: textutils
bf683e7a 39#BuildRequires: X11-devel >= %{_min_x11} # disabled for now
2d490dca 40Requires: X11-Xserver
85d12cdd 41Requires: X11-libs >= %{_min_x11}
42Requires: X11-modules >= %{_min_x11}
28142503 43%{?with_tls:Requires: glibc(tls)}
2d490dca 44Provides: X11-OpenGL-core
d51a14b9 45Provides: X11-OpenGL-libGL
28142503 46Provides: XFree86-OpenGL-core
d51a14b9 47Provides: XFree86-OpenGL-libGL
28142503 48Obsoletes: Mesa
d51a14b9 49Obsoletes: X11-OpenGL-core
50Obsoletes: X11-OpenGL-libGL
28142503
PS
51Obsoletes: XFree86-OpenGL-core
52Obsoletes: XFree86-OpenGL-libGL
2d490dca 53Obsoletes: XFree86-driver-nvidia
28142503
PS
54Obsoletes: XFree86-nvidia
55Conflicts: XFree86-OpenGL-devel <= 4.2.0-3
039c7221 56ExclusiveArch: %{ix86} amd64
28142503
PS
57BuildRoot: %{tmpdir}/%{name}-%{version}-root-%(id -u -n)
58
03da6314 59%define _noautoreqdep libGL.so.1 libGLcore.so.1
28142503 60%define _prefix /usr/X11R6
1fbeb625
JB
61%ifarch amd64
62%define _libdir32 %{_prefix}/lib
63%endif
28142503
PS
64
65%description
66This driver set adds improved 2D functionality to the XFree86 4.0 X
67server as well as high performance OpenGL acceleration, AGP support,
68support for most flat panels, and 2D multiple monitor support.
69
70Hardware: nVidia TNT, TNT2, GeForce, or Quadro based graphics
71accelerator. The nVidia NV1 and RIVA 128/128ZX chips are supported in
72the base XFree86 4.0 install and are not supported by this driver set.
73
74Software: Linux kernel >= 2.2.12, XFree86 >= 4.0.
75
76%description -l pl
77Usprawnione sterowniki dla kart graficznych nVidia do serwera XFree86
78